Bug 20175 - Установка libkrb5 после openssl и пакета её использующего (в %post)
: Установка libkrb5 после openssl и пакета её использующего (в %post)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssl)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://lists.altlinux.org/pipermail/d...
: NMU, patch
:
:
  Show dependency tree
 
Reported: 2009-05-26 00:59 by
Modified: 2009-05-28 02:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-26 00:59:31
См. http://git.altlinux.org/tasks/7058/task/log:

    x86_64: apache2-mod_ssl-compat=2.2.9-alt17 install failed:
...
<13>May 24 20:48:14 rpmi: openssl-0.9.8k-alt2 installed
                          ^^^^^^^
<13>May 24 20:48:14 rpmi: apache2-mod_ssl-1:2.2.9-alt17 installed
                          ^^^^^^^^^^^^^^^
error: execution of %post scriptlet from apache2-mod_ssl-2.2.9-alt17 failed,
exit status 127
<13>May 24 20:48:14 rpmi: libkrb5-1.6.3-alt7 installed
                          ^^^^^^^^^^^^^^^^^^
<13>May 24 20:48:14 rpmi: apache2-mod_ssl-compat-2.2.9-alt17 installed
hsh-install: Packages installation failed.

  В %post пакета apache2-mod_ssl используется вызов /usr/bin/openssl, он
приводит (если убрать 2>/dev/null) к:

/usr/bin/openssl: error while loading shared libraries: libkrb5.so.3: cannot
open shared object file: No such file or directory

  Пакет libkrb5 (содержащий libkrb5.so.3) ставится, но уже после отработки
%post у apache2-mod_ssl.
------- Comment #1 From 2009-05-26 01:09:16 -------
Нужный порядок установки получается если добавить в пакет openssl PreReq:
libkrb5 (см.
http://git.altlinux.org/people/solo/packages/?p=openssl.git;a=commitdiff;h=a85a4b458eddfa84c33ea2bb3943a477e0caa8dc;hp=4e57c5ed6f46746999e5d53808f3cd42ea4db88e).
------- Comment #2 From 2009-05-28 02:50:47 -------
openssl098-0.9.8k-alt4 -> sisyphus:

* Wed May 27 2009 Dmitry V. Levin <ldv@altlinux> 0.9.8k-alt4

- Relocated /etc/openssl and /var/lib/ssl from
  libssl7 subpackage to libcrypto7 subpackage.

* Wed May 27 2009 Dmitry V. Levin <ldv@altlinux> 0.9.8k-alt3

- Packaged libcrypto shared library into separate subpackage
  to break dependency loop (closes: #20175).
- Packaged doc subpackage as noarch.
- Fixed compatibility hack added in previous build.